#include <FixSound.h>
#include <Servo.h>

FixSound mysound;
Servo armServo;

#define PIN_Buzzer  11 //BUZZER pin (11)

void setup() {
   
  armServo.attach(12);
  armServo.write(90);
    
  pinMode(A7, INPUT);
  pinMode(13, OUTPUT);
  pinMode(0, OUTPUT);
  pinMode(1, OUTPUT);

  mysound.init( PIN_Buzzer);
  mysound.sing(S_connection);
  delay(100);
}

int sensorValue = 0;
int prevSensorValue = 0;
const int THRESHOLD = 360;

void loop() {
  sensorValue = analogRead(A7);
  
  if (prevSensorValue <= THRESHOLD) {
    if (sensorValue > THRESHOLD) {
      action();
    }
  }
  
  prevSensorValue = sensorValue;
  delay(10);
}


void action() {
  led(true);
  delay(800);

  mysound.sing(S_cuddly);
  delay(100);
  
  armServo.attach(12);
  armServo.write(10);
  delay(300);
  armServo.write(90);
  delay(500);

  mysound.sing(S_superHappy);
  delay(100);
  
  armServo.write(60);
  delay(250);
  armServo.write(80);
  delay(250);
  armServo.write(60);
  delay(250);
  armServo.write(80);
  delay(250);
  armServo.write(60);
  delay(250);
  armServo.write(80);
  delay(250);
  armServo.write(60);
  delay(250);
  armServo.write(90);
  delay(250);
  armServo.detach();

  mysound.sing(S_sad);
  delay(250);
   
  led(false);
}

void led(bool onOff) {
  if (onOff) {
    digitalWrite(13, HIGH);
    digitalWrite(0, LOW);
    digitalWrite(1, LOW);
  } else {
    digitalWrite(13, LOW);
    digitalWrite(0, HIGH);
    digitalWrite(1, HIGH);
  }
}
